#
# spec file for package python-Quamash
#
# Copyright (c) 2016 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


Name:           python3-quamash
Version:        0.5.5
Release:        2.29
License:        BSD-2-Clause
Summary:        Implementation of the PEP 3156 Event-Loop with Qt
Url:            https://github.com/harvimt/quamash
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/Q/Quamash/Quamash-%{version}.zip
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  unzip
BuildRequires:  python3-qt4
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Implementation of the PEP 3156 event-loop (tulip) api using the Qt Event-Loop.

%prep
%setup -q -n Quamash-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc README.rst
%{python3_sitelib}/*

%changelog
* Sun May  8 2016 arun@gmx.de
- specfile:
  * updated source url to files.pythonhosted.org
* Sat Apr  9 2016 arun@gmx.de
- update to version 0.5.5:
  * Fix #62 a serious memory leak by switching from QTimer to
    QObject.timerEvent.
* Sat Jan 30 2016 arun@gmx.de
- specfile:
  * update copyright year
  * moved from tar.gz to zip
- update to version 0.5.4:
  * Remove unnecessary QObjects
  * Officially add Python 3.5 support (CI configuration and setup.py
    change)
  * Fix #55
  * Better compatibility with behavior of default event loop (#59)
  * Remove _easycallback and replace with _makeSignaller
* Sat Sep 12 2015 termim@gmail.com
- update to version 0.5.3:
  * fixed bug #34
* Sun Aug  9 2015 arun@gmx.de
- update to version 0.5.2:
  * Fixes to tests, and CI configuration
  * Fixes #35 and #31 (both minor bugs)
  * Uploade wheels to PyPI
* Mon Mar 30 2015 p.drouand@gmail.com
- Fix the description
* Sun Mar 29 2015 termim@gmail.com
- Initial checkin Quamash-0.5.1
